[arch-commits] Commit in nvidia-utils/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Nov 21 16:14:57 EST 2009


    Date: Saturday, November 21, 2009 @ 16:14:57
  Author: jgc
Revision: 59301

Merged revisions 59300 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/nvidia-utils/trunk

........
  r59300 | jgc | 2009-11-21 22:14:39 +0100 (Sat, 21 Nov 2009) | 2 lines
  
  upgpkg: nvidia-utils 190.42-2
      Remove libvdpau, this is in a standalone package now. Move libvdpau_nvidia.so to the place where libvdpau can find it, and symlink it to a name that libvdpau expects.
........

Modified:
  nvidia-utils/repos/extra-i686/	(properties)
  nvidia-utils/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)


Property changes on: nvidia-utils/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /nvidia-utils/trunk:1-56689
   + /nvidia-utils/trunk:1-59300

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-21 21:14:39 UTC (rev 59300)
+++ extra-i686/PKGBUILD	2009-11-21 21:14:57 UTC (rev 59301)
@@ -4,7 +4,7 @@
 
 pkgname=nvidia-utils
 pkgver=190.42
-pkgrel=1
+pkgrel=2
 pkgdesc="NVIDIA drivers utilities and libraries."
 arch=('i686' 'x86_64')
 [ "$CARCH" = "i686"   ] && ARCH=x86 	 
@@ -27,14 +27,16 @@
 
 	mkdir -p $pkgdir/usr/{lib,bin,share/applications,share/pixmaps,share/man/man1}
 	mkdir -p $pkgdir/usr/lib/xorg/modules/{extensions,drivers}
-	mkdir -p $pkgdir/usr/share/licenses/nvidia/
-	mkdir -p $pkgdir/usr/include/{cuda,vdpau}
+  mkdir -p $pkgdir/usr/lib/vdpau
+	mkdir -p $pkgdir/usr/share/licenses/nvidia
+	mkdir -p $pkgdir/usr/include/cuda
 
-	install -m644 include/cuda/cuda*.h $pkgdir/usr/include/cuda
-	install -m644 include/vdpau/vdpau*.h $pkgdir/usr/include/vdpau
+	install -m644 include/cuda/cuda*.h $pkgdir/usr/include/cuda/
 
-	install lib/{libGLcore,libGL,libnvidia-cfg,libcuda,libvdpau_trace,libvdpau_nvidia,libvdpau,tls/libnvidia-tls}.so.${pkgver} \
-	$pkgdir/usr/lib/ || return 1
+	install lib/{libGLcore,libGL,libnvidia-cfg,libcuda,tls/libnvidia-tls}.so.${pkgver} $pkgdir/usr/lib/ || return 1
+  install -m755 lib/libvdpau_nvidia.so.${pkgver} "${pkgdir}/usr/lib/vdpau/" || return 1
+  ln -sf libvdpau_nvidia.so.${pkgver} "${pkgdir}/usr/lib/vdpau/libvdpau_nvidia.so.1"
+
 	install -m644 share/man/man1/* $pkgdir/usr/share/man/man1/ || return 1
 	rm $pkgdir/usr/share/man/man1/nvidia-installer.1.gz || return 1
 	install X11R6/lib/libXv* $pkgdir/usr/lib/ || return 1
@@ -54,8 +56,6 @@
 	ln -s libcuda.so.$pkgver libcuda.so.1 || return 1
 	ln -s libcuda.so.$pkgver libcuda.so || return 1
 	ln -s libXvMCNVIDIA.so.$pkgver libXvMCNVIDIA_dynamic.so.1 || return 1
-	ln -s libvdpau.so.$pkgver libvdpau.so.1 || return 1
-	ln -s libvdpau.so.$pkgver libvdpau.so || return 1
 
 	cd $pkgdir/usr/lib/xorg/modules/extensions
 	ln -s libglx.so.$pkgver libglx.so || return 1



More information about the arch-commits mailing list